Name:		usbview
Summary:	USB topology and device viewer
Version:	1.0
Release:	9mdk
Source:		%Url/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	usbview-1.0-man.tar.bz2
# Fix from David Paschal (http://hpoj.sf.net/): Hex numbers in
# /proc/bus/usb/devices were parsed as decimal numbers. Fixed.
Patch0:		usbview-1.0.patch.bz2
Patch1:		usbview-1.0-gtk_warning.patch.bz2
Patch2:		usbview-1.0-windows.patch.bz2
Group:		System/Kernel and hardware 
BuildRequires:	gtk+-devel
URL:		http://www.kroah.com/linux-usb/
BuildRoot:	%_tmppath/%{name}-buildroot
License:	GPL

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not. 

%prep
%setup -q -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %buildroot/{%_iconsdir,%_mandir/man{7,8}}
for sec in 7 8; do
	install -m 644 usbview.$sec %buildroot/%_mandir/man$sec
done
bzcat %{SOURCE1}|tar xf - -C %buildroot/%{_iconsdir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(usbview): needs="X11"  \
icon="%{name}.png"  section="Configuration/Hardware"  \
title="UsbView" longtitle="USB viewer"  \
command="usbview"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO
%_menudir/%name
%_bindir/*
%_iconsdir/*
%_mandir/*/*

%changelog
* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-9mdk
- lib64 fixes

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-8mdk
- rebuild
- use %%make macro
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- English proofreading of menu entries (by Stew Benedicts)

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-6mdk
- build release

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-5mdk
- source 2 : add usbview.7 and usbview.8 man pages
- patch 1 : fix gtk warning when opening about and configure dialogs 
- patch 2 : make about & configure buttons looking as in other apps
- rpmlint fixes

* Mon Aug 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-4mdk
- Applied fix from David Paschal (http://hpoj.sf.net/): Hex numbers in
  /proc/bus/usb/devices were parsed as decimal numbers.

* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 1.0-3mdk
- spec clean up: macros, s/Copyright/License, globbing
- png icons

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-2mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires:	XFree86-devel

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- 1.0.

* Sat Dec  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-2mdk
- Add icons.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-2mdk
- BM
- more macros

* Fri Jun 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.1-1mdk
- macros everywhere.
- 0.8.1.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-2mdk
- Add menu.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0.
- Clean up specs.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.0-3mdk
- ready for 7.1

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- small specs tweaks.

* Tue Dec 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- first specfile
